# rpmlead Struct Reference

The lead data structure. More...

## Data Fields

unsigned char | magic [4]
unsigned char | major
unsigned char | minor
unsigned short | type
unsigned short | archnum
char | name [66]
unsigned short | osnum
unsigned short | signature_type
char | reserved [16]

## Detailed Description

The lead data structure.

The lead needs to be 8 byte aligned.

Deprecated:
  The lead (except for signature_type) is legacy.

Todo:
  Don't use any information from lead.

Definition at line 388 of file pkgio.c.

## Field Documentation

unsigned short rpmlead::archnum

Definition at line 393 of file pkgio.c.

Referenced by wrLead().

unsigned char rpmlead::magic[4]

Definition at line 389 of file pkgio.c.

Referenced by wrLead().

unsigned char rpmlead::major

Definition at line 390 of file pkgio.c.

Referenced by wrLead().

unsigned char rpmlead::minor

Definition at line 391 of file pkgio.c.

char rpmlead::name[66]

Definition at line 394 of file pkgio.c.

Referenced by wrLead().

unsigned short rpmlead::osnum

Definition at line 395 of file pkgio.c.

Referenced by wrLead().

char rpmlead::reserved[16]

Pad to 96 bytes -- 8 byte aligned!

Definition at line 398 of file pkgio.c.

unsigned short rpmlead::signature_type

Signature type (RPMSIG_HEADERSIG)

Definition at line 396 of file pkgio.c.

Referenced by wrLead().

unsigned short rpmlead::type

Definition at line 392 of file pkgio.c.

Referenced by wrLead().

The documentation for this struct was generated from the following file:

- rpmdb/pkgio.c